Foreman - Bug #4266

Host API doesn't give reasonable response when sending ids of non-existing environments
02/05/2014 02:33 PM - Toma$ Strachota

Status: Closed
Priority: Normal
Assignee:

Category: API
Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

API responses 200 when updating hosts with environment_id that does not exist. It should rather respond with 404 to indicate that
the desired operation was unsuccessful.

| reproduced that with hosts but | suspect it can be cross APl issue.

Related issues:
Related to Hammer CLI - Bug #3729: Hammer doesn't give reasonable output when... Closed 11/22/2013

History

#1 - 02/05/2014 02:33 PM - Tomas Strachota

- Related to Bug #3729: Hammer doesn't give reasonable output when using names instead of id numbers while updating hosts. added

#2 - 04/21/2021 10:55 AM - Leos Stejskal

- Status changed from New to Closed

Closing the issue, works in the latest version.

Hammer:

Could not update the host:
Environment with id 1123 doesn't exist or is not assigned to proper organization and/or location

JSON:
{
"error": {
"id": 1,
"errors": {

"environment_id": [
"with id 23 doesn't exist or is not assigned to proper organization and/or location"
]
s
"full_messages": [
"Environment with id 23 doesn't exist or is not assigned to proper organization and/or location"

]
